Skip to content

Validate Ticket Tracking System.

POST
/api/web/namespaces/shared/ticket_tracking_systems/validate_ticket_tracking_system
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/shared/ticket_tracking_systems/validate_ticket_tracking_system \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "jira_config": { "adhoc_rest_api": { "account_email": "example", "api_token": "example", "organization_domain": "example" } } }'

Validate input for the ticket tracking system like the credentials + organization.

Examples of this operation.

Media typeapplication/json
ValidateTicketTrackingSystemRequest

Request message when validating a Ticket Tracking System’s credentials / organization through the custom API.

object
jira_config
object
adhoc_rest_api
object
account_email
account_email

Username (email) for the Atlassian account

Required: YES.

string
>= 1 characters <= 1024 characters
api_token
api_token

API Token (password) specified by the customer in plaintext to be used for Basic Auth. This value is purely used for user input and is not persisted in the database. It will be converted to a blindfolded and encrypted form before saving. For editing/replacing the existing JIRA configuration, and to use the already stored value of the encrypted API Token, this field should be sent as an empty string. Since this field is confidential, the GET/List public APIs will return this value as an empty string.

Required: YES.

string
<= 512 characters
organization_domain
organization_domain

A valid hostname for the Atlassian organization, as defined by RFC 1034 Required: YES.

string
>= 1 characters <= 1024 characters
Examplegenerated
{
"jira_config": {
"adhoc_rest_api": {
"account_email": "example",
"api_token": "example",
"organization_domain": "example"
}
}
}

A successful response.

Media typeapplication/json
ValidateTicketTrackingSystemResponse

Response message when validating a Ticket Tracking System’s credentials / organization through the custom API Empty errors means the validation succeeded.

object
errors
errors

Errors related to ticket tracking system creation - such as issues with validation of credentials + organization domain.

Array<object>
ErrorType

Information about a error in API operation.

object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
Example
{
"errors": [
{
"code": "EOK"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example